What are the system requirements for Luna Display?

Luna Display works with any modern Mac and iPad!

Luna requires a Mac running macOS 10.11 El Capitan (or later). For optimal performance, we recommend these configurations: MacBook Air (2012 and later), MacBook Pro (2012 and later), Mac mini (2012 and later), iMac (2012 and later), Mac Pro (Late 2013).

Luna requires an iPad running iOS 9.1 (or later): iPad 2 (or later), any iPad Mini and any iPad Pro.

Still need help? Contact Us Contact Us